nxt

## Class Trade

- java.lang.Object
- - nxt.Trade

-     public final class Trade
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Trade.Event`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<Trade> listener, Trade.Event eventType)`
    `static DbIterator<Trade>` | `getAccountAssetTrades(long accountId, long assetId, int from, int to)`
    `static DbIterator<Trade>` | `getAccountTrades(long accountId, int from, int to)`
    `static DbIterator<Trade>` | `getAllTrades(int from, int to)`
    `int` | `getAskOrderHeight()`
    `long` | `getAskOrderId()`
    `static DbIterator<Trade>` | `getAskOrderTrades(long askOrderId, int from, int to)`
    `long` | `getAssetId()`
    `static DbIterator<Trade>` | `getAssetTrades(long assetId, int from, int to)`
    `int` | `getBidOrderHeight()`
    `long` | `getBidOrderId()`
    `static DbIterator<Trade>` | `getBidOrderTrades(long bidOrderId, int from, int to)`
    `long` | `getBlockId()`
    `long` | `getBuyerId()`
    `static int` | `getCount()`
    `int` | `getHeight()`
    `static java.util.List<Trade>` | `getLastTrades(long[] assetIds)`
    `long` | `getPriceNQT()`
    `long` | `getQuantityQNT()`
    `long` | `getSellerId()`
    `int` | `getTimestamp()`
    `static Trade` | `getTrade(long askOrderId, long bidOrderId)`
    `static int` | `getTradeCount(long assetId)`
    `boolean` | `isBuy()`
    `static boolean` | `removeListener(Listener<Trade> listener, Trade.Event eventType)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getAllTrades

          public static DbIterator<Trade> getAllTrades(int from,
                                                       int to)

    - #### getCount

          public static int getCount()

    - #### addListener

          public static boolean addListener(Listener<Trade> listener,
                                            Trade.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<Trade> listener,
                                               Trade.Event eventType)

    - #### getTrade

          public static Trade getTrade(long askOrderId,
                                       long bidOrderId)

    - #### getAssetTrades

          public static DbIterator<Trade> getAssetTrades(long assetId,
                                                         int from,
                                                         int to)

    - #### getLastTrades

          public static java.util.List<Trade> getLastTrades(long[] assetIds)

    - #### getAccountTrades

          public static DbIterator<Trade> getAccountTrades(long accountId,
                                                           int from,
                                                           int to)

    - #### getAccountAssetTrades

          public static DbIterator<Trade> getAccountAssetTrades(long accountId,
                                                                long assetId,
                                                                int from,
                                                                int to)

    - #### getAskOrderTrades

          public static DbIterator<Trade> getAskOrderTrades(long askOrderId,
                                                            int from,
                                                            int to)

    - #### getBidOrderTrades

          public static DbIterator<Trade> getBidOrderTrades(long bidOrderId,
                                                            int from,
                                                            int to)

    - #### getTradeCount

          public static int getTradeCount(long assetId)

    - #### getBlockId

          public long getBlockId()

    - #### getAskOrderId

          public long getAskOrderId()

    - #### getBidOrderId

          public long getBidOrderId()

    - #### getAskOrderHeight

          public int getAskOrderHeight()

    - #### getBidOrderHeight

          public int getBidOrderHeight()

    - #### getSellerId

          public long getSellerId()

    - #### getBuyerId

          public long getBuyerId()

    - #### getQuantityQNT

          public long getQuantityQNT()

    - #### getPriceNQT

          public long getPriceNQT()

    - #### getAssetId

          public long getAssetId()

    - #### getTimestamp

          public int getTimestamp()

    - #### getHeight

          public int getHeight()

    - #### isBuy

          public boolean isBuy()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`